extern xdata struct settings_struct setting;
extern volatile xdata unsigned char playing;

extern idata unsigned char ibuf[4];

typedef enum {
   MODE_MIN = 0,
   MODE_DIRONLY = 0,	// play files sequentially within one directory
   MODE_DIRRAND,	// play files randomly within one directory
   MODE_SEQNTIAL,	// play all files sequentially
   MODE_PLSTRAND,	// play each dir sequentially, but randomly choose dirs
   MODE_ALLRAND,	// play all files randomly
   MODE_MAX = 4
} play_modes_t;

typedef enum {
   TIMER_LCD_SCROLL = 0,
   TIMER_LCD_TIMEOUT = 1,
   TIMER_PARAM_WRITE = 2,
   TIMER_ID3_UPDATE = 3
} timers_t;

extern play_modes_t play_mode;

extern bit update_sta013_needed;
extern bit update_mode_needed;

extern unsigned long songStartFrameCount;

